# SolarGeneratorDatalogger

A set of programs and scripts to log all the available data from a self build solar generator.
It runs on a Raspberry Pi Zero 1 W with Raspbian (or any other Raspberry Pi)

It logs data from a Liontron battery (via Bluetooth) and an EPEVER solar charger (via RS485-USB).
The data is analyzed and stored in a file. The data is also available via a web browser over Wifi
(Raspberry Pi acts as access point).

Future plan is to implement LoRa so the data can be accessed remotely.

This code for the Liontron battery is based on:
    * https://github.com/sw-home/FHEM-BluetoothSmartBMS
    * https://github.com/stefanandres/bms-monitoring-stack
    * https://blog.ja-ke.tech/2020/02/07/ltt-power-bms-chinese-protocol.html
    
The code for the EPEVER solar charger is based on:
    * https://github.com/kasbert/epsolar-tracer/
    * https://minimalmodbus.readthedocs.io/en/master/index.html

## Install instructions:

All instructions to set up the Raspberry Pi are described in the file: "installation_solar-generator.txt"

## Full documantation:

See "solar-generator-build_manual.pdf"

## Author and contact

The SolarGenerator project
Copyright 2021 by Marcel Konstapel from Mees Electronics.

All the design files and source code is available from the website: https://www.mmeezenest.nl/mees

All the software as well as the hardware is open source.

The hardware is published according to the The Open Source Hardware Association (OSHWA) principles.
The software is published under the GNU GENERAL PUBLIC LICENSE Version 3.
The documentation is published under the Creative Commons Attribution-ShareAlike 4.0 International licence



