<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="styles.css">
</head>
<body>

<?php 

    $json_string = file_get_contents('liontron_bms_data.json');
    $bms_array = json_decode($json_string,true);
    
    $json_string = file_get_contents('epever_data.json');
    $solar_array = json_decode($json_string,true);

    $remaining_energy =  round($bms_array['remain_cap'] * 12.8, 0);

?>

<div class="header">
  <a href="index.php"><h1>Dashboard Solar Generator 't Meezenest</h1></a>
</div>

<div class="row">
  <div class="col-3 col-s-3 menu">
    <ul>
      <li><b>Gegevens uit accu:</b></li>
      
      <li>Accu energie: <?php echo $remaining_energy; ?> Wh (<?php echo $bms_array['remain_cap_percent']; ?>%)</li>
      <li>Accu resterende capaciteit: <?php echo $bms_array['remain_cap']; ?> Ah</li>
      <li>Accu nominale capaciteit: <?php echo $bms_array['typ_cap']; ?> Ah</li>
      <li>Accu spanning: <?php echo $bms_array['total_voltage']; ?> V</li>
      <li>Accu stroom: <?php echo $bms_array['current']; ?> A</li>
      <li>Accu vermogen: <?php echo $bms_array['power']; ?> W</li>
      <li>Accu temperatuur: <?php echo $bms_array['temp_1']; ?>&deg; C</li>
      <li>Accu aantal cycli: <?php echo $bms_array['cycles']; ?></li>
      <li>Accu balance_list: <?php echo $bms_array['balance_list']; ?></li>
      <li>Accu prot_status: <?php echo $bms_array['prot_status']; ?></li>
      <li>Accu fet_bits: <?php echo $bms_array['fet_bits']; ?></li>      
      
      <li><b>Gegevens uit solar charger:</b></li>
      
      <li>Solar spanning: <?php echo $solar_array['solar_voltage']; ?> V</li>
      <li>Solar stroom: <?php echo $solar_array['solar_current']; ?> A</li>      
      <li>Solar vermogen: <?php echo $solar_array['solar_power']; ?> W</li>
      <li>Solar Opgewekt: <?php echo round($solar_array['generated_energy_today']/1000, 0); ?> Wh</li>      

      <li>Accu spanning: <?php echo $solar_array['battery_voltage']; ?> V</li>
      <li>Accu stroom: <?php echo $solar_array['battery_current']; ?> A</li>      
      <li>Accu vermogen: <?php echo $solar_array['battery_power']; ?> W</li>
      
      <li>Load spanning: <?php echo $solar_array['load_voltage']; ?> V</li>
      <li>Load stroom: <?php echo $solar_array['load_current']; ?> A</li>      
      <li>Load vermogen: <?php echo $solar_array['load_power']; ?> W</li>
      
      
      <li>Temperatuur controller: <?php echo $solar_array['controller_temp']; ?> &deg; C</li>      
      <li>Temperatuur omgeving: <?php echo $solar_array['ambient_temp']; ?> &deg; C</li>
      <li>Load geactiveerd: <?php echo $solar_array['load_on']; ?> </li>
      
      <li>Solar battery_status: <?php echo $solar_array['battery_status']; ?> </li>      
      <li>Solar controller_status: <?php echo $solar_array['controller_status']; ?> </li>
      <li>Solar RTC: <?php echo $solar_array['controller_date_time']; ?> </li>     
      
      <li><b>Gegevens uit Raspberry Pi:</b></li>
      <li>System clock: <?php echo $solar_array['system_datetime']; ?> </li>     
      <li>Uptime: <?php echo shell_exec("uptime -p | cut -c 4-"); ?> </li>     
      
    </ul>
  </div>

  <div class="col-6 col-s-9">
    <h1>Actuele gegevens</h1>
    <img src="bms_soc.png" class="large">
    <img src="bms_charge_current.png" class="large">
  </div>

  <div class="col-3 col-s-12 menu">
      <ul>
      <a href="index.php"><li>Terug</li></a>
      <a href="actueel.php"><li>Actuele gegevens</li></a>
      <a href="solar-generator-data.tar.gz"><li>Download data-archief</li></a>
      <!--<li>Afgelopen week</li>-->
      <!--<li>Expert</li>-->
    </ul>
  </div>
</div>

<div class="footer">
  <p>Open source hardware and software. Visit https://www.meezenest.nl/mees for more information.</p>
</div>

</body>
</html>


